Runtime

## org.eclipse.gmf.runtime.common.core.command
Interface FileModificationValidator.ISyncExecHelper

All Known Implementing Classes:
  FileModificationValidator.SyncExecHelper, GMFEditingDomainFactory.TransactionalSyncExecHelper

Enclosing class:
  FileModificationValidator

    public static interface FileModificationValidator.ISyncExecHelper

This interface works in conjuction with the `FileModificationValidator.ISyncExecHelper` to bridge entities knowing of UI and those with knowledge of editing domains.

Method Summary
`java.lang.Runnable` `safeRunnable(java.lang.Runnable runnable)` Will wrap the input runnable with one that is thread safe.

Method Detail

### safeRunnable

    java.lang.Runnable safeRunnable(java.lang.Runnable runnable)

  Will wrap the input runnable with one that is thread safe.

  Parameters:
    `runnable` -

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.